package statistics

import "spaceofcheng/services/models/model"

// CardCouponStatistics 获取卡券统计数据
func (c *StatisticsController) CardCouponStatistics() {
	page, _ := c.GetInt("page")
	pagesize, _ := c.GetInt("pagesize")
	caseids := c.GetString("caseid")
	name := c.GetString("name")
	ctype := c.GetString("ctype")

	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	list, err := c.serv.CardCouponStatistics(caseids, ctype, name, page, pagesize)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(list)
}
